# BindingCompleteState

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Indicates the result of a binding operation.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum BindingCompleteState : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum BindingCompleteState As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                     |
| ------------- | ----------------------------------------------- |
| **DataError** | The binding operation failed with a data error. |
| **Exception** | The binding operation failed with an exception. |
| **Success**   | The binding operation completed successfully.   |

## Used By

| Name                                                                                                                                    | Description                                            |
| --------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------ |
| [BindingCompleteEventArgs.BindingCompleteState](/api/wisej.web/data-binding/wisej.web.bindingcompleteeventargs.md#bindingcompletestate) | Returns the completion state of the binding operation. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingcompletestate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
